package rasel.lunar.launcher.workers

import android.content.Context
import androidx.work.Worker
import androidx.work.WorkerParameters
import rasel.lunar.launcher.model.RssData
import rasel.lunar.launcher.utils.beforeDay
import java.util.Date

open class BaseGetter : Worker {
    val USAGT = "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/17.4 Safari/605.1.15"
    val now = Date()
    val limitDateTime = beforeDay(now,3)
    val commicsDateTime = beforeDay(now,1)
    val temp = arrayListOf<RssData>()

    constructor(context: Context, workerParams: WorkerParameters) : super(context, workerParams) {
    }

    override fun doWork(): Result {
        TODO("Not yet implemented")
    }
}